Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Types | Protected Member Functions
TF_Base< TFI, MEI > Class Template Reference

_ More...

`#include <pubkey.h>`

List of all members.

## Protected Types

typedef TFI | TrapdoorFunctionInterface
typedef MEI | MessageEncodingInterface

## Protected Member Functions

virtual const TrapdoorFunctionBounds & | GetTrapdoorFunctionBounds () const =0
virtual const TrapdoorFunctionInterface & | GetTrapdoorFunctionInterface () const =0
virtual const MessageEncodingInterface & | GetMessageEncodingInterface () const =0

## Detailed Description

### template<class TFI, class MEI>
class TF_Base< TFI, MEI >

_

Definition at line 123 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h